"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Sectioncard = Sectioncard;
var _reactNative = require("react-native");
var _react = _interopRequireWildcard(require("react"));
var _card = require("./card");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function Sectioncard(_ref) {
  let {
    datos,
    title = 'Noticias y promociones'
  } = _ref;
  const [dataCard, setDataCard] = (0, _react.useState)([]);
  (0, _react.useEffect)(() => {
    setDataCard(datos);
  }, [datos]);
  return /*#__PURE__*/_react.default.createElement(_reactNative.ScrollView, {
    style: styles.container
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.text1
  }, title), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.container
  }, dataCard && dataCard.map((item, key) => {
    return /*#__PURE__*/_react.default.createElement(_card.CardDeUna, {
      key: key,
      datos: item,
      backgroundColor: "white"
    });
  })));
}
const styles = _reactNative.StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: 'white',
    width: '100%',
    marginVertical: 10
  },
  text1: {
    fontSize: 20,
    fontWeight: 'bold',
    color: 'black',
    marginHorizontal: 20,
    marginVertical: 10
  },
  box: {
    width: 60,
    height: 60,
    marginVertical: 20
  }
});
//# sourceMappingURL=sectioncard.js.map