import React, { useState, useEffect } from 'react';
import { SafeAreaView, StyleSheet, View, Text, FlatList } from 'react-native';
import { CardsSabiasQue } from './CardsSabiasQue';
export function SabiasQue(_ref) {
  let {
    numResult = 5,
    datos
  } = _ref;
  const [data, setData] = useState(datos);
  const renderItem = _ref2 => {
    let {
      item
    } = _ref2;
    return /*#__PURE__*/React.createElement(CardsSabiasQue, {
      item: item
    });
  };
  useEffect(() => {
    setData(datos);
  }, [datos]);
  return /*#__PURE__*/React.createElement(View, {
    style: styles.contain
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.title
  }, "\xBFSabias Que?"), /*#__PURE__*/React.createElement(SafeAreaView, {
    style: styles.container
  }, /*#__PURE__*/React.createElement(FlatList, {
    data: data.slice(0, numResult),
    renderItem: renderItem,
    horizontal: true
  })));
}
const styles = StyleSheet.create({
  container: {
    flex: 1
  },
  contain: {
    backgroundColor: '#ffff',
    width: '100%',
    height: 230,
    padding: 10
  },
  title: {
    marginLeft: 17,
    marginBottom: 10,
    fontWeight: 'bold',
    fontSize: 18
  }
});
//# sourceMappingURL=SabiasQue.js.map