import React from 'react'
import { createStackNavigator } from '@react-navigation/stack';
import { CodigoQr } from './QrCamara';
import { useNavigation } from '@react-navigation/native';
import { ValorPagarQr } from './ValorPagarQr';

export const RouteCamaraQr = () => {
    const Stack = createStackNavigator();
    const navigate = useNavigation<any>();
    const on = (data: any) => {
        data.data
          ? navigate.navigate('ValorPagar', data)
          : console.log('no data');
      };
      
  return (
    <Stack.Navigator
    initialRouteName="CodigoQr"
    screenOptions={{
      headerShown: false,
    }}
  >
    <Stack.Screen name="CodigoQr">
      {() => (
        <>
          <CodigoQr on={on} ></CodigoQr>
        </>
      )}
    </Stack.Screen>
    <Stack.Screen name="ValorPagar">
      {() => {
        return <ValorPagarQr/>;
      }}
    </Stack.Screen>
  </Stack.Navigator>
  )
}
