"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RouteCamaraQr = void 0;
var _react = _interopRequireDefault(require("react"));
var _stack = require("@react-navigation/stack");
var _QrCamara = require("./QrCamara");
var _native = require("@react-navigation/native");
var _ValorPagarQr = require("./ValorPagarQr");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const RouteCamaraQr = () => {
  const Stack = (0, _stack.createStackNavigator)();
  const navigate = (0, _native.useNavigation)();
  const on = data => {
    data.data ? navigate.navigate('ValorPagar', data) : console.log('no data');
  };
  return /*#__PURE__*/_react.default.createElement(Stack.Navigator, {
    initialRouteName: "CodigoQr",
    screenOptions: {
      headerShown: false
    }
  }, /*#__PURE__*/_react.default.createElement(Stack.Screen, {
    name: "CodigoQr"
  }, () => /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_QrCamara.CodigoQr, {
    on: on
  }))), /*#__PURE__*/_react.default.createElement(Stack.Screen, {
    name: "ValorPagar"
  }, () => {
    return /*#__PURE__*/_react.default.createElement(_ValorPagarQr.ValorPagarQr, null);
  }));
};
exports.RouteCamaraQr = RouteCamaraQr;
//# sourceMappingURL=RouteCamara.js.map