"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ValorPagarQr = void 0;
var _reactNative = require("react-native");
var _react = _interopRequireDefault(require("react"));
var _native = require("@react-navigation/native");
var _axios = _interopRequireDefault(require("axios"));
var _encript = require("../../utility/encript");
var _reactUuid = _interopRequireDefault(require("react-uuid"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const ValorPagarQr = () => {
  var _route$params;
  const uid = (0, _reactUuid.default)();
  const route = (0, _native.useRoute)();
  const transaccionData = JSON.parse((_route$params = route.params) === null || _route$params === void 0 ? void 0 : _route$params.data);
  const send = data => {
    data.data.transaction.amount = transaccionData.valor;
    console.log(data);
    const sign = new _encript.Sign(data, 'https://api-test.pichincha.com/payment-execution/v2/direct-transfers', uid);
    const XApigeeCredentials = 'NlBiOWtKbUlaOEJJSm1mQXdjOU0xcjFlR2pJMmV3Qlc6RGdNRnNZajZqMkNKNFhSRw==';
    const signature = sign.getSignature();
    const headers = {
      'X-Apigee-Credentials': XApigeeCredentials,
      'X-Device-IP': '200.10.89.34',
      'X-Guid': uid,
      'X-Device': '29xp3L6xJCaTSmWsQHsIsIqiyoU7Z0Az+EfYl2Bq5e0=',
      'X-Session': '3e80ddc9-29fb-4c99-b82e-403287fe4ce5',
      'X-Signature': signature
    };
    _axios.default.post('https://api-test.pichincha.com/payment-execution/v2/direct-transfers', data, {
      headers: headers
    }).then(res => {
      console.log(res.data);
    }).catch(err => {
      console.log(err);
    });
  };
  const debit = {
    data: {
      debtor: {
        customer: {
          customerId: '403874',
          documentNumber: '1712712767',
          documentType: '0001',
          fullName: 'BETANCOURT TORRES MAURICIO MANUEL'
        },
        account: {
          accountId: '2100211901'
        }
      },
      creditor: {
        customer: {
          fullName: 'TORRESA FRANCOA JOSEA',
          email: {
            address: 'owjaramillo@mail.com'
          },
          account: {
            accountId: '2100211900'
          }
        }
      },
      transaction: {
        amount: '0.10',
        currency: {
          code: 'USD'
        },
        description: 'TRANSFERENCIA 01'
      }
    }
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, null, /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, transaccionData.valor), /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, transaccionData.idusuario), /*#__PURE__*/_react.default.createElement(_reactNative.View, null, /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, {
    onPress: () => send(debit),
    style: styles.presseablebutton
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "Enviar Transaccion"))));
};
exports.ValorPagarQr = ValorPagarQr;
const styles = _reactNative.StyleSheet.create({
  presseablebutton: {
    backgroundColor: 'red',
    width: 100,
    height: 100,
    borderRadius: 50,
    justifyContent: 'center',
    alignItems: 'center'
  }
});
//# sourceMappingURL=ValorPagarQr.js.map