import { StyleSheet, Text, View, Pressable } from 'react-native';
import React from 'react';
import { useRoute } from '@react-navigation/native';
import axios from 'axios';
import { Sign } from '../../utility/encript';
import uuid from 'react-uuid';
export const ValorPagarQr = () => {
  var _route$params;
  const uid = uuid();
  const route = useRoute();
  const transaccionData = JSON.parse((_route$params = route.params) === null || _route$params === void 0 ? void 0 : _route$params.data);
  const send = data => {
    data.data.transaction.amount = transaccionData.valor;
    console.log(data);
    const sign = new Sign(data, 'https://api-test.pichincha.com/payment-execution/v2/direct-transfers', uid);
    const XApigeeCredentials = 'NlBiOWtKbUlaOEJJSm1mQXdjOU0xcjFlR2pJMmV3Qlc6RGdNRnNZajZqMkNKNFhSRw==';
    const signature = sign.getSignature();
    const headers = {
      'X-Apigee-Credentials': XApigeeCredentials,
      'X-Device-IP': '200.10.89.34',
      'X-Guid': uid,
      'X-Device': '29xp3L6xJCaTSmWsQHsIsIqiyoU7Z0Az+EfYl2Bq5e0=',
      'X-Session': '3e80ddc9-29fb-4c99-b82e-403287fe4ce5',
      'X-Signature': signature
    };
    axios.post('https://api-test.pichincha.com/payment-execution/v2/direct-transfers', data, {
      headers: headers
    }).then(res => {
      console.log(res.data);
    }).catch(err => {
      console.log(err);
    });
  };
  const debit = {
    data: {
      debtor: {
        customer: {
          customerId: '403874',
          documentNumber: '1712712767',
          documentType: '0001',
          fullName: 'BETANCOURT TORRES MAURICIO MANUEL'
        },
        account: {
          accountId: '2100211901'
        }
      },
      creditor: {
        customer: {
          fullName: 'TORRESA FRANCOA JOSEA',
          email: {
            address: 'owjaramillo@mail.com'
          },
          account: {
            accountId: '2100211900'
          }
        }
      },
      transaction: {
        amount: '0.10',
        currency: {
          code: 'USD'
        },
        description: 'TRANSFERENCIA 01'
      }
    }
  };
  return /*#__PURE__*/React.createElement(View, null, /*#__PURE__*/React.createElement(Text, null, transaccionData.valor), /*#__PURE__*/React.createElement(Text, null, transaccionData.idusuario), /*#__PURE__*/React.createElement(View, null, /*#__PURE__*/React.createElement(Pressable, {
    onPress: () => send(debit),
    style: styles.presseablebutton
  }, /*#__PURE__*/React.createElement(Text, null, "Enviar Transaccion"))));
};
const styles = StyleSheet.create({
  presseablebutton: {
    backgroundColor: 'red',
    width: 100,
    height: 100,
    borderRadius: 50,
    justifyContent: 'center',
    alignItems: 'center'
  }
});
//# sourceMappingURL=ValorPagarQr.js.map